<?php

namespace App\Filament\Resources\Bannieres;

use App\Filament\Resources\Bannieres\Pages\CreateBanniere;
use App\Filament\Resources\Bannieres\Pages\EditBanniere;
use App\Filament\Resources\Bannieres\Pages\ListBannieres;
use App\Filament\Resources\Bannieres\Schemas\BanniereForm;
use App\Filament\Resources\Bannieres\Tables\BannieresTable;
use App\Models\Banniere;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class BanniereResource extends Resource
{
    protected static ?string $model = Banniere::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    protected static ?string $recordTitleAttribute = 'Banniere';

    public static function form(Schema $schema): Schema
    {
        return BanniereForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return BannieresTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListBannieres::route('/'),
            'create' => CreateBanniere::route('/create'),
            'edit' => EditBanniere::route('/{record}/edit'),
        ];
    }
}
